Bug 1940206 - Selector and VolumeTableRows not i18ned
Summary: Selector and VolumeTableRows not i18ned
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: ralpert
QA Contact: Yanping Zhang
URL:
Whiteboard: Scrubbed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-17 19:48 UTC by ralpert
Modified: 2021-07-27 22:54 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Text was not internationalized. Consequence: Text was not translated; poor user experience. Fix: Internationalized text. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:53:56 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8407 0 None open Bug 1940206: i18n details page text 2021-03-17 19:50:39 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:54:17 UTC

Description ralpert 2021-03-17 19:48:49 UTC
Description of problem:
Selector and VolumeTableRows contain hard-coded text that hasn't been internationalized.

Version-Release number of selected component (if applicable):
4.8

How reproducible:
Always

Steps to Reproduce:
1. Go to details page for a Pod and look for one with an empty "Node selector." Then scroll down to the Volumes table.

Actual results:
"No selector," "Read-only," "Read/Write," and "No subpath" are not internationalized.

Expected results:
All text is internationalized.

Comment 3 Yanping Zhang 2021-05-07 01:05:43 UTC
Checked on ocp 4.8 cluster with payload 4.8.0-0.nightly-2021-05-06-162549.
Create a pod in project, check the detail page with "?pseudolocalization=true&lng=en" at the end of url. Now "No selector," "Read-only," "Read/Write," and "No subpath" are all internationalized.

Comment 6 errata-xmlrpc 2021-07-27 22:53:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.